#include <u.h>
#include <libc.h>
#include <bio.h>

void
usage(void)
{
	fprint(2,"usage: logit -l logname [message ...]\n");
	exits("usage");
}

void
main(int argc, char *argv[])
{	char *logname = nil;
	char *s,*e,buf[512];
	Biobuf bin;

	ARGBEGIN{
	case 'l':	logname=ARGF();
		if(!logname) usage();
		break;
	default: usage();
	}ARGEND

	if(logname == nil)
		usage();
	if(strchr(logname,'/'))
		sysfatal("'/' not allowed in logname %s",logname);
	if(*argv == nil){
		/* this case is used in relay */
		Binit(&bin,0,OREAD);
		while((s = Brdstr(&bin,'\n',1)) != nil){
			syslog(0,logname,s);
		}
		exits(nil);
	}

	s = buf;
	e = buf + sizeof(buf);
	while(*argv)
		s = seprint(s,e,"%s ",*argv++);
	s--;
	*s = 0;
	syslog(0,logname,"%s",buf);

	exits(nil);
}

